package com.bcxin.tenant.open.domains.mappers;

import com.bcxin.tenant.open.domains.dtos.SyncDbCheckQueryDTO;
import com.bcxin.tenant.open.domains.mappers.dtos.SyncDataRequestWrapperDTO;

import java.util.Collection;

public interface RdSyncDataMapper {
    void reloadSyncEmployees(SyncDataRequestWrapperDTO data);

    void reloadSyncCompanies(SyncDataRequestWrapperDTO data);

    void reloadSyncStations(SyncDataRequestWrapperDTO data);

    void reloadSyncUsers(SyncDataRequestWrapperDTO data);
    void reloadSyncUsersForMember(SyncDataRequestWrapperDTO data);

    void reloadSyncCompanyPoints(SyncDataRequestWrapperDTO data);

    void reloadSyncCompanyDesks(SyncDataRequestWrapperDTO data);
    
    
    void reloadSyncExamSites(SyncDataRequestWrapperDTO data);

    void reloadSyncExamSiteRooms(SyncDataRequestWrapperDTO data);

    void reloadSyncExamInfo(SyncDataRequestWrapperDTO data);

    Collection<String> getRelativeIds(SyncDbCheckQueryDTO criteria);

    void reloadCommunityUsers(SyncDataRequestWrapperDTO data);

    void reloadSuperviseDeparts(SyncDataRequestWrapperDTO data);

    void reloadProprietorStations(SyncDataRequestWrapperDTO data);

    void reloadCompanyPermissions(SyncDataRequestWrapperDTO data);

    void reloadTemporaryProtectionProject(SyncDataRequestWrapperDTO data);

    void reloadTemporaryProjectGroup(SyncDataRequestWrapperDTO data);

    void reloadTemporaryProjectMember(SyncDataRequestWrapperDTO data);

    void reloadHardwareDevices(SyncDataRequestWrapperDTO data);

    void clearExpiredProprietorStations(Collection<String> ids);

    void reloadTemporaryProjectPersonTypes(SyncDataRequestWrapperDTO data);

    void reloadEventOrgPermissions(SyncDataRequestWrapperDTO data);

    void reloadEventOrgEmpPermissions(SyncDataRequestWrapperDTO data);

    void reloadDispatchDataSources(SyncDataRequestWrapperDTO data);

    void reloadMembers(SyncDataRequestWrapperDTO data);

    void reloadWorkstations(SyncDataRequestWrapperDTO data);

    void reloadWorkstationUsers(SyncDataRequestWrapperDTO data);

    void reloadWorkstationsBySecurityStation(SyncDataRequestWrapperDTO data);

    void reloadWorkstationUsersBySecurityStation(SyncDataRequestWrapperDTO data);

        void reloadStationVideos(SyncDataRequestWrapperDTO data);
}
