package com.bcxin.tenant.open.domains.mappers;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bcxin.tenant.open.domains.criterias.PoliceIncidentRegionReportCriteria;
import com.bcxin.tenant.open.domains.dtos.PoliceIncidentPendingStatisticsDTO;
import com.bcxin.tenant.open.domains.dtos.PoliceIncidentRegionReportDTO;
import com.bcxin.tenant.open.domains.dtos.PoliceIncidentsSosUpdateDTO;
import com.bcxin.tenant.open.domains.entities.PoliceIncidentsEntity;
import org.springframework.stereotype.Component;

import java.util.Collection;

@Component
public interface PoliceIncidentsMapper extends BaseMapper<PoliceIncidentsEntity> {
    void updateSsoStatus(PoliceIncidentsSosUpdateDTO data);

    Collection<PoliceIncidentPendingStatisticsDTO> getPendingTotal(Collection<String> superDepartIds);

    Collection<PoliceIncidentRegionReportDTO> getReport(PoliceIncidentRegionReportCriteria criteria);
}
